#ifndef _FILTER_H
#define _FILTER_H

class CFilter : public IRecipientFilter
{
public:
	CFilter(void) {}
	~CFilter(void) {}

	virtual bool IsReliable(void) const;
	virtual bool IsInitMessage(void) const;

	virtual int GetRecipientCount(void) const;
	virtual int GetRecipientIndex(int iSlot) const;

	void Add(int iIndex);
	void AddAll(void);

	void Remove(int iIndex);
	void RemoveAll(void);

private:
	bool m_bReliable;
	bool m_bInitMessage;

	CUtlVector<int> m_Recipients;
};

#endif
